Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationFax

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationFax

extends java.rmi.Remote

Method Summary
`java.lang.String` | `getConnector()` Gets the name of the class.
`int` | `getDialing()` Gets the dialing mode
`int` | `getFlowCommand()` Gets the flow command.
`int` | `getFlowControl()` Gets the flow control.
`java.lang.String` | `getInitString()` Gets the modem's initialized string
`int` | `getMaxRetries()` Gets the maximum retry times.
`int` | `getModemClass()` Returns the modem class.
`java.lang.String` | `getPassword()` Gets the password for the class communicating with fax server.
`java.lang.String` | `getPort()` Gets the port in the system.
`java.lang.String` | `getServerIP()` Gets the IP address or domain name of the fax server.
`int` | `getServerPort()` Gets the port number of the fax server.
`java.lang.String` | `getSpecParameters()` Gets the special parameter of the fax server.
`int` | `getTimeOut()` Gets the timeout in milliseconds.
`java.lang.String` | `getUserID()` Gets user ID which logs in the class communicating with fax server.
`java.lang.String` | `getUserName()` Gets the user name shown in the fax server manager.
`void` | `setConnector(java.lang.String connector)` Sets the name of the class implemented by the user.
`void` | `setDialing(int dialing)` Sets the dialing mode.
`void` | `setFlowCommand(int flowCommand)` Sets the flow command.
`void` | `setFlowControl(int flowControl)` Sets the flow modem control.
`void` | `setInitString(java.lang.String initString)` Sets the modem's initialized string.
`void` | `setMaxRetries(int maxRetries)` Sets the maximum retry times to connect to destination when it is busy.
`void` | `setModemClass(int modemClass)` Sets the modem class.
`void` | `setPassword(java.lang.String password)` Sets the password for the class communicating with fax server.
`void` | `setPort(java.lang.String port)` Sets the port in the system.
`void` | `setServerIP(java.lang.String serverIP)` Sets the IP address or domain name of the fax server.
`void` | `setServerPort(int serverPort)` Sets the port number of the fax server.
`void` | `setSpecParameters(java.lang.String parameters)` Sets the special parameters of the fax server.
`void` | `setTimeOut(int timeOut)` Sets the waiting time for getting response from the fax server.
`void` | `setUserID(java.lang.String userID)` Sets user ID for the class communicating with fax server.
`void` | `setUserName(java.lang.String userName)` Sets the user name in the fax server manager.
`void` | `setViaFaxServer(boolean viaFaxServer)` Sets whether to export report result to fax via Fax Server or Fax Machine
`boolean` | `viaFaxServer()` Returns true when exporting report result via Fax Server, otherwise return false.

Method Detail

### setDialing

    void setDialing(int dialing)
                    throws java.rmi.RemoteException

  Sets the dialing mode.

  Parameters:
    `dialing` - 0: tone, 1: pulse
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getDialing

    int getDialing()
                   throws java.rmi.RemoteException

  Gets the dialing mode

  Returns:
    dialing mode, 0: tone, 1: pulse
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setModemClass

    void setModemClass(int modemClass)
                       throws java.rmi.RemoteException

  Sets the modem class.

  Parameters:
    `modemClass` - 0: class1 1: class2 2: class20
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getModemClass

    int getModemClass()
                      throws java.rmi.RemoteException

  Returns the modem class.

  Returns:
    the modem class
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setFlowControl

    void setFlowControl(int flowControl)
                        throws java.rmi.RemoteException

  Sets the flow modem control.

  Parameters:
    `flowControl` - 0: RtsCts 1: XonXoff 2: None
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getFlowControl

    int getFlowControl()
                       throws java.rmi.RemoteException

  Gets the flow control.

  Returns:
    the flow control.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setFlowCommand

    void setFlowCommand(int flowCommand)
                        throws java.rmi.RemoteException

  Sets the flow command.

  Parameters:
    `flowCommand` - 0 : 1 : -- RtsCts -- 2 : AT+FLO=2 3 : AT&K3 4 : AT&\\Q3 5 : -- XonXoff -- 6 : AT+FLO=1 7 : AT&K4 8 : AT&\\Q4
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getFlowCommand

    int getFlowCommand()
                       throws java.rmi.RemoteException

  Gets the flow command.

  Returns:
    the flow command.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setPort

    void setPort(java.lang.String port)
                 throws java.rmi.RemoteException

  Sets the port in the system.

  Parameters:
    `The` - port in the system, such as COM1 or COM2
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getPort

    java.lang.String getPort()
                             throws java.rmi.RemoteException

  Gets the port in the system.

  Returns:
    the port being used.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setInitString

    void setInitString(java.lang.String initString)
                       throws java.rmi.RemoteException

  Sets the modem's initialized string.

  Parameters:
    `initString` - for example, ATV1Q0
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getInitString

    java.lang.String getInitString()
                                   throws java.rmi.RemoteException

  Gets the modem's initialized string

  Returns:
    the modem's initialized string
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setViaFaxServer

    void setViaFaxServer(boolean viaFaxServer)
                         throws java.rmi.RemoteException

  Sets whether to export report result to fax via Fax Server or Fax Machine

  Parameters:
    `viaFaxServer` - true: Fax server false: Fax Machine
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### viaFaxServer

    boolean viaFaxServer()
                         throws java.rmi.RemoteException

  Returns true when exporting report result via Fax Server, otherwise return false.

  Returns:
    true when exporting report result via Fax Server, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setConnector

    void setConnector(java.lang.String connector)
                      throws java.rmi.RemoteException

  Sets the name of the class implemented by the user.

  Parameters:
    `connector` - the custom class name
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getConnector

    java.lang.String getConnector()
                                  throws java.rmi.RemoteException

  Gets the name of the class.

  Returns:
    the class name
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setServerIP

    void setServerIP(java.lang.String serverIP)
                     throws java.rmi.RemoteException

  Sets the IP address or domain name of the fax server.

  Parameters:
    `serverIP` -
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getServerIP

    java.lang.String getServerIP()
                                 throws java.rmi.RemoteException

  Gets the IP address or domain name of the fax server.

  Returns:
    the IP address or domain name
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setServerPort

    void setServerPort(int serverPort)
                       throws java.rmi.RemoteException

  Sets the port number of the fax server.

  Parameters:
    `serverPort` - the port to be set
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getServerPort

    int getServerPort()
                      throws java.rmi.RemoteException

  Gets the port number of the fax server.

  Returns:
    the port number.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setUserID

    void setUserID(java.lang.String userID)
                   throws java.rmi.RemoteException

  Sets user ID for the class communicating with fax server.

  Parameters:
    `userID` - the user ID
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getUserID

    java.lang.String getUserID()
                               throws java.rmi.RemoteException

  Gets user ID which logs in the class communicating with fax server.

  Returns:
    user ID
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setPassword

    void setPassword(java.lang.String password)
                     throws java.rmi.RemoteException

  Sets the password for the class communicating with fax server.

  Parameters:
    `password` - the password to be set
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getPassword

    java.lang.String getPassword()
                                 throws java.rmi.RemoteException

  Gets the password for the class communicating with fax server.

  Returns:
    the password
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setUserName

    void setUserName(java.lang.String userName)
                     throws java.rmi.RemoteException

  Sets the user name in the fax server manager.

  Parameters:
    `userName` -
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getUserName

    java.lang.String getUserName()
                                 throws java.rmi.RemoteException

  Gets the user name shown in the fax server manager.

  Returns:
    user name
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSpecParameters

    void setSpecParameters(java.lang.String parameters)
                           throws java.rmi.RemoteException

  Sets the special parameters of the fax server.

  Parameters:
    `the` - parameters of the fax server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getSpecParameters

    java.lang.String getSpecParameters()
                                       throws java.rmi.RemoteException

  Gets the special parameter of the fax server.

  Returns:
    the special parameter.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setTimeOut

    void setTimeOut(int timeOut)
                    throws java.rmi.RemoteException

  Sets the waiting time for getting response from the fax server. The time unit is second.

  Parameters:
    `timeOut` - the time of waiting
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getTimeOut

    int getTimeOut()
                   throws java.rmi.RemoteException

  Gets the timeout in milliseconds.

  Returns:
    the time of waiting.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setMaxRetries

    void setMaxRetries(int maxRetries)
                       throws java.rmi.RemoteException

  Sets the maximum retry times to connect to destination when it is busy.

  Parameters:
    `maxRetries` - the maximum retry times
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getMaxRetries

    int getMaxRetries()
                      throws java.rmi.RemoteException

  Gets the maximum retry times.

  Returns:
    the maximum retry times.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD